Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Selector

    java.lang.Object
      oracle.ifs.server.S_Selector

    public final class S_Selector

extends java.lang.Object

The S_Selector class creates and executes SIMPLE searches server-side.

(Published)

Field Summary
`protected S_LibraryObjectCursor` | `m_Cursor` The open cursor

Constructor Summary
`` | `S_Selector(S_LibrarySession session)` Construct a Selector object.
`protected` | `S_Selector(S_LibrarySession session, java.lang.String searchClass, java.lang.String searchSelection)` Construct a Selector object.

Method Summary
`void` | `closeItems()` Closes the search after cursor based access.
`protected static S_LibraryObject` | `constructLibraryObject(S_LibrarySession sess, S_LibraryObjectData data)` Constructs a Library Object from data corresponding to it.
`protected static java.util.Vector` | `constructLibraryObjectVector(S_LibrarySession sess, java.util.Vector vector)` Constructs a vector of library objects using a vector of data corresponding to them.
`java.lang.Long` | `getId()` Returns the object's numeric ID.
`int` | `getItemCount()` Returns the number of items in the search results.
`S_LibraryObject[]` | `getItems()` Returns the entire search results as an array.
`S_LibraryObject` | `getItems(int index)` Returns a single search result item from the search results with an index relatitve the the search sort order.
`int` | `getMaxItemCount()` Returns the setting of the maximum number of items that will be returned in a getItems() invocation.
`int` | `getMaxItems()` Gets the value of the maximum number of items fetched limit.
`java.lang.String` | `getSearchClassname()` Returns the search class that was set using setSearchClassname()
`java.lang.String` | `getSearchSelection()` Returns the search selection that was set using setSearchSelection()
`S_LibrarySession` | `getSession()` Returns the session being used by this Selector.
`SortSpecification` | `getSortSpecification()` Returns the Sort Specification
`boolean` | `isMaxItemsExceeded()` Returns true if the maximum number of items fetched limit has been exceeded during the last call to getItems().
`boolean` | `isRecursiveSearch()` Returns true if recursive searching is enabled with respect to classes.
`S_LibraryObject` | `nextItem()` Gets the next item using an open cursor on the search.
`void` | `openItems()` Opens a cursor on this Search ready for reading search results.
`void` | `resetItems()` Clears locally stored search results.
`protected void` | `resolveSortSpecification(S_LibrarySession session)` force the SortSpecification (if specified) to be resolved and verified.
`protected void` | `setId(java.lang.Long id)` Sets the object's numeric ID.
`void` | `setMaxItemCount(int maxItemCount)` Sets the maximum number of items that will be returned in a getItems() invocation.
`void` | `setMaxItems(int maxItems)` Sets the maximum number of items fetched limit when the getItems() methods are called.
`void` | `setRecursiveSearch(boolean recursive)` Enables/disables recursive searching with respect to classes.
`void` | `setSearchClassname(java.lang.String searchClass)` Sets the search class.
`void` | `setSearchSelection(java.lang.String searchSelection)` Sets the search selection.
`void` | `setSortSpecification(SortSpecification spec)` Sets the Sort Specification
`protected static S_LibraryObject` | `vectorObjectElement(java.util.Vector vector, int index)` Returns a particular LibraryObject from the vector based on the index supplied by the user.
`protected static S_LibraryObject[]` | `vectorToObjectArray(java.util.Vector vector)` Constructs a vector of objects from an array of Library objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Cursor

    protected S_LibraryObjectCursor m_Cursor

  Description copied from class: `S_Selector`
  The open cursor

  (Unpublished)

Constructor Detail

### S_Selector

    public S_Selector(S_LibrarySession session)
               throws IfsException

  Construct a Selector object.

  Parameters:
    `session` - the current session.
  Throws:
    `IfsException`
  (Published)

### S_Selector

    protected S_Selector(S_LibrarySession session,
                         java.lang.String searchClass,
                         java.lang.String searchSelection)
                  throws IfsException

  Construct a Selector object.

  Parameters:
    `session` - the current session.
    `searchClass` - the search class.
    `searchSelection` - the sarch selection.
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getId

    public java.lang.Long getId()

  Description copied from class: `S_Selector`
  Returns the object's numeric ID.

  Returns:
    the object's Identifier.
  (Unpublished)

### setId

    protected void setId(java.lang.Long id)

  Description copied from class: `S_Selector`
  Sets the object's numeric ID.

  Parameters:
    `id` - the object's Identifier.
  (Unpublished)

### getSortSpecification

    public SortSpecification getSortSpecification()
                                           throws IfsException

  Description copied from class: `S_Selector`
  Returns the Sort Specification

  Returns:
    the search item sort specificaion.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setSortSpecification

    public void setSortSpecification(SortSpecification spec)
                              throws IfsException

  Description copied from class: `S_Selector`
  Sets the Sort Specification

  Parameters:
    `spec` - the sort specificaion.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getSearchClassname

    public java.lang.String getSearchClassname()
                                        throws IfsException

  Description copied from class: `S_Selector`
  Returns the search class that was set using setSearchClassname()

  Returns:
    the search class.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSearchClassname

    public void setSearchClassname(java.lang.String searchClass)
                            throws IfsException

  Description copied from class: `S_Selector`
  Sets the search class.

  Parameters:
    `searchClass` - the search class.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSearchSelection

    public java.lang.String getSearchSelection()
                                        throws IfsException

  Description copied from class: `S_Selector`
  Returns the search selection that was set using setSearchSelection()

  Returns:
    the search selection.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSearchSelection

    public void setSearchSelection(java.lang.String searchSelection)
                            throws IfsException

  Description copied from class: `S_Selector`
  Sets the search selection.

  Parameters:
    `searchSelection` - the search selection.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### isRecursiveSearch

    public boolean isRecursiveSearch()
                              throws IfsException

  Description copied from class: `S_Selector`
  Returns true if recursive searching is enabled with respect to classes.

  Returns:
    true is enabled.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setRecursiveSearch

    public void setRecursiveSearch(boolean recursive)
                            throws IfsException

  Description copied from class: `S_Selector`
  Enables/disables recursive searching with respect to classes. The default is set true. This is equivalent to adding _R to the class name in extended SQL syntax.

  Parameters:
    `recursive` - true for enabled.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setMaxItemCount

    public void setMaxItemCount(int maxItemCount)
                         throws IfsException

  Description copied from class: `S_Selector`
  Sets the maximum number of items that will be returned in a getItems() invocation. A value of zero indicates that there is no limit on the desired number of items.

  Parameters:
    `maxItemCount` - maximum number of items that will be returned from a getItems() invocation
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getMaxItemCount

    public int getMaxItemCount()
                        throws IfsException

  Description copied from class: `S_Selector`
  Returns the setting of the maximum number of items that will be returned in a getItems() invocation. A value of zero indicates that there is no limit on the desired number of items.

  Returns:
    maximum number of items that will be returned from a getItems() invocation
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getItems

    public S_LibraryObject[] getItems()
                               throws IfsException

  Description copied from class: `S_Selector`
  Returns the entire search results as an array.

  Returns:
    the search results.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getItems

    public S_LibraryObject getItems(int index)
                             throws IfsException,
                                    java.lang.IndexOutOfBoundsException

  Description copied from class: `S_Selector`
  Returns a single search result item from the search results with an index relatitve the the search sort order.
  NOTE: releaseResources must be called when search access is complete to release internal cursors.

  Parameters:
    `index` - the index of a search result.
  Returns:
    a search result.
  Throws:
    `IfsException` - if operation fails.
    `java.lang.IndexOutOfBoundsException` - if the index is greater than the number of items in the search.
  (Unpublished)

### getItemCount

    public int getItemCount()
                     throws IfsException

  Description copied from class: `S_Selector`
  Returns the number of items in the search results. If the items have already been fetched then this simply returns the size of the locally stored vector. Otherwise this gets the count from the server.

  Returns:
    the number of items.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### openItems

    public void openItems()
                   throws IfsException

  Description copied from class: `S_Selector`
  Opens a cursor on this Search ready for reading search results. This method is used if you don't want to fetch all the items from very large queries.
  Note: You must call closeItems() to close the open cursor.

  Throws:
    `IfsException` - if the operation fails.
  See Also:
    `S_Selector.closeItems()`
  (Unpublished)

### nextItem

    public S_LibraryObject nextItem()
                             throws IfsException

  Description copied from class: `S_Selector`
  Gets the next item using an open cursor on the search.

  Returns:
    The Item.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### closeItems

    public void closeItems()
                    throws IfsException

  Description copied from class: `S_Selector`
  Closes the search after cursor based access.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### resetItems

    public void resetItems()
                    throws IfsException

  Description copied from class: `S_Selector`
  Clears locally stored search results. A subsequent call to getItems() will re-fetch the search results from the server. Any calls to search class, search selection, or attribute methods will call this method internally.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSession

    public S_LibrarySession getSession()
                                throws IfsException

  Description copied from class: `S_Selector`
  Returns the session being used by this Selector.

  Returns:
    the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructLibraryObjectVector

    protected static java.util.Vector constructLibraryObjectVector(S_LibrarySession sess,
                                                                   java.util.Vector vector)
                                                            throws IfsException

  Description copied from class: `S_Selector`
  Constructs a vector of library objects using a vector of data corresponding to them.

  Parameters:
    `sess` - handle to the current session
    `vector` - vector of data corresponding to LibraryObjects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructLibraryObject

    protected static S_LibraryObject constructLibraryObject(S_LibrarySession sess,
                                                            S_LibraryObjectData data)
                                                     throws IfsException

  Description copied from class: `S_Selector`
  Constructs a Library Object from data corresponding to it.

  Parameters:
    `sess` - handle to the current session
    `data` - data corresponding to the library object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToObjectArray

    protected static S_LibraryObject[] vectorToObjectArray(java.util.Vector vector)

  Description copied from class: `S_Selector`
  Constructs a vector of objects from an array of Library objects.

  Parameters:
    `vector` - vector of library objects
  (Unpublished)

### vectorObjectElement

    protected static S_LibraryObject vectorObjectElement(java.util.Vector vector,
                                                         int index)
                                                  throws java.lang.IndexOutOfBoundsException

  Description copied from class: `S_Selector`
  Returns a particular LibraryObject from the vector based on the index supplied by the user.

  Parameters:
    `vector` - vector of LibraryObjects
    `index` - points to the needed library object.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of bounds
  (Unpublished)

### setMaxItems

    public void setMaxItems(int maxItems)
                     throws IfsException

  Description copied from class: `S_Selector`
  Sets the maximum number of items fetched limit when the getItems() methods are called.
  When set, calls to getItems() will not return more items than this value is set to. If this value is reached during a query operation then the isMaxItemsExceeded flag is set.
  Setting this value to zero removes the max items limit. This property defaults to zero.

  Parameters:
    `maxItems` - the maximum number of items fetched.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getMaxItems

    public int getMaxItems()
                    throws IfsException

  Description copied from class: `S_Selector`
  Gets the value of the maximum number of items fetched limit.

  Returns:
    the maximum number of items fetched.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isMaxItemsExceeded

    public boolean isMaxItemsExceeded()
                               throws IfsException

  Description copied from class: `S_Selector`
  Returns true if the maximum number of items fetched limit has been exceeded during the last call to getItems().

  Returns:
    true if the maximum number of items limit has been exceeded.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### resolveSortSpecification

    protected void resolveSortSpecification(S_LibrarySession session)
                                     throws IfsException

  Description copied from class: `S_Selector`
  force the SortSpecification (if specified) to be resolved and verified.

  Parameters:
    `session` - the current LibrarySession
  Throws:
    `IfsException` - if not connected
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD